Skip to main content
POST
/
api
/
v1
/
platform
/
fraud
/
blacklist
Platform kara liste kaydı oluştur
curl --request POST \
  --url https://fraud-sandbox.payven.com.tr/api/v1/platform/fraud/blacklist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "value": "<string>",
  "display_value": "<string>",
  "reason": "<string>",
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "display_value": "<string>",
  "reason": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "is_active": true,
  "created": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
scope
enum<string>
Available options:
global,
tenant
tenant_id
string<uuid> | null
entry_type
enum<string>
Available options:
card,
email,
ip,
device,
iban,
merchant_external_id
value
string | null
display_value
string | null
reason
string | null
expires_at
string<date-time> | null

Response

Created

id
string<uuid>
scope
enum<string>
Available options:
global,
tenant
tenant_id
string<uuid> | null
entry_type
enum<string>
Available options:
card,
email,
ip,
device,
iban,
merchant_external_id
display_value
string | null
reason
string | null
expires_at
string<date-time> | null
is_active
boolean
created
string<date-time>